Subject: RE: [mobile-ip] How to handle RoutingHeader Type zero

From: [email-masked]
Date: Wed, 4 Sep 2002 12:15:32 -0500

Jari,

Can you close this issue since I see no arguments against alternative a?
The proposed text (below) looks sufficient for the spec.

-Basavaraj

> 
> So it looks like we want to pick alternative (a), i.e., that the
> RH0 and RH2 are orthogonal and could even appear in the same packet.
> 
> Francis argues that this is sufficient, and no special rules
> will be needed. I suspected in my e-mail that we might need
> some rules, and Pascal described rules he used in Nemo context
> for the same problem.
> 
> Section 6.4.1 of our document already specifies that RH2 must
> be the last RH, i.e., a rule similar to Pascal's rule. As
> Francis points out, processing order follows from placement
> order.
> 
> It appears that the existing rule is necessary, as the
> home address verification check is rather meaningless if the
> packet is immediately going to be forwarded elsewhere. The
> rule seems sufficient, because doing RH2 last avoids opening
> up any holes in the MIPv6 processing rules with an additional
> RH0.
> 
> Ok? If yes, the only text change needed would be to remove the
> imprecise language in 9.6:
> 
>     ...
>     for this address, the sending node SHOULD use a Routing header to
>     route the packet to this mobile node (the destination node) by way
>     of the care-of address in the binding recorded in that 
> Binding Cache
>     entry.  For example, assuming use of a Type 2 Routing header (see
>     Section 6.4), if no other use of a Routing header is involved in
>     the routing of this packet, the mobile node sets the fields in the
>     packet's IPv6 header and Routing header as follows:
> 
> =>
> 
>     for this address, the sending node SHOULD use a Type 2 
> Routing header
>     to route the packet to this mobile node (the destination 
> node) by way
>     of its care-of address. Assuming there are no additional Routing
>     headers in this packet beyond those needed by Mobile IPv6, the
>     mobile node sets the fields in the packet's IPv6 header 
> and Routing
>     header as follows:
> 
> Jari
> 
>